View Issue Details

IDProjectCategoryLast Update
0019565AI War 2[All Projects] Graphical BugSep 5, 2018 9:03 pm
ReporterzeusalmightyAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.718 
Fixed in Version 
Summary0019565: Zenith Trader stopped traveling; items not purchaseable
DescriptionTrader stopped on one of my planets and became inert. Save attached
TagsNo tags attached.

Relationships

related to 0020045 resolvedx4000Bughunter Zenith trader is out of stock 

Activities

zeusalmighty

Apr 4, 2018 3:18 pm

reporter  

trader no sale.save (2,653,619 bytes)
trader no sale.savemet (40 bytes)

BadgerBadger

Apr 12, 2018 11:34 pm

manager   ~0047418

Last edited: Apr 12, 2018 11:37 pm

View 2 revisions

So the Items Not Purchasable thing feels like a GUI problem. When the Zenith Trader first gets to a planet, the Construction menu updates to create more space but does not put a new menu or set of icons there. If I then go to another planet I still see the previous infrastructure icons just chilling. It looks like the errors are only related to the sidebar, not to the underlying infrastructure. I have not been able to reproduce the "zenith trader is then stuck" issue, when I load the original save the zenith trader seems to promptly leave the planet. I'll keep poking at that.

If I then swap between menus (lets say to "Ships" then back to Construction) on the main planet I get a "Zenith Trader: x6" but no buildable icons.

Here are pics of
1. when the zenith trader first arrives.
 2. another planet showing the stale infrastructure icons
3. the zenith trader build menu without any buildable icons.

Finally, here's a save game you can use to reproduce this. Just load the game, the Zenith trader will be heading for the human planet.

BadgerBadger

Apr 12, 2018 11:35 pm

manager   ~0047419

Here are the actual files:

Zenith_First_Arrived.png (1,567,147 bytes)
anotherPlanet.png (1,291,445 bytes)
zenithButNoIcons.png (1,606,380 bytes)
pre.save (2,009,596 bytes)

BadgerBadger

Apr 14, 2018 12:52 pm

manager   ~0047432

When I load the save game, incidentally, the Zenith Trader immediately heads off to another planet.

x4000Bughunter

Sep 5, 2018 9:02 pm

administrator   ~0048975

Fairly sure this is fixed now, with it not traveling. The lack of items to sell is noted in 0020045, though.

Issue History

Date Modified Username Field Change
Apr 4, 2018 3:18 pm zeusalmighty New Issue
Apr 4, 2018 3:18 pm zeusalmighty File Added: trader no sale.save
Apr 4, 2018 3:18 pm zeusalmighty File Added: trader no sale.savemet
Apr 4, 2018 3:23 pm x4000Bughunter Assigned To => keith.lamothe
Apr 4, 2018 3:23 pm x4000Bughunter Status new => assigned
Apr 12, 2018 11:34 pm BadgerBadger Note Added: 0047418
Apr 12, 2018 11:35 pm BadgerBadger File Added: pre.save
Apr 12, 2018 11:35 pm BadgerBadger File Added: zenithButNoIcons.png
Apr 12, 2018 11:35 pm BadgerBadger File Added: anotherPlanet.png
Apr 12, 2018 11:35 pm BadgerBadger File Added: Zenith_First_Arrived.png
Apr 12, 2018 11:35 pm BadgerBadger Note Added: 0047419
Apr 12, 2018 11:36 pm BadgerBadger Assigned To keith.lamothe => x4000Bughunter
Apr 12, 2018 11:37 pm BadgerBadger Note Edited: 0047418 View Revisions
Apr 14, 2018 12:52 pm BadgerBadger Note Added: 0047432
Sep 5, 2018 9:02 pm x4000Bughunter Status assigned => resolved
Sep 5, 2018 9:02 pm x4000Bughunter Resolution open => fixed
Sep 5, 2018 9:02 pm x4000Bughunter Note Added: 0048975
Sep 5, 2018 9:03 pm x4000Bughunter Relationship added related to 0020045